package com.bonus.material.project.service;

import com.bonus.material.project.domain.Project;
import com.bonus.material.project.domain.ProjectType;

import java.util.List;

public interface ProjectService {

    List<Project> selectProjectList(Project project);

    Project selectProjectById(Long projectId);

    void insertProject(Project project);

    void updateProject(Project project);

    void deleteProjectById(Long projectId);

    List<ProjectType> selectProjectTypeList();

    boolean delProjectBatch(List<Long> ids);
}
